PSIGNAL(3)

NAME
psignal, sys_siglist - system signal messages

SYNOPSIS
psignal(sig, s)
unsigned sig;
char *s;

char *sys_siglist[];

DESCRIPTION
Psignal produces a short message on the standard error file describing the indicated signal. First the argument string s is printed, then a colon, then the name of the signal and a new-line. Most usefully, the argument string is the name of the program which incurred the signal. The signal number should be from among those found in <signal.h>.

To simplify variant formatting of signal names, the vector of message strings sys_siglist is provided; the signal number can be used as an index in this table to get the signal name without the newline. The define NSIG defined in <signal.h> is the number of messages provided for in the table; it should be checked because new signals may be added to the system before they are added to the table.

SEE ALSO
sigvec(2), perror(3)